Skip to main content
PATCH
/
api
/
products
/
{product_key}
/
variants
/
bulk
Bulk Update Variants
curl --request PATCH \
  --url https://api.merchantops.ai/api/products/{product_key}/variants/bulk \
  --header 'Content-Type: application/json' \
  --data '
{
  "properties": {},
  "variant_keys": [
    "<string>"
  ]
}
'
{
  "matched": 123,
  "modified": 123
}

Headers

authorization
string | null
X-Organization-ID
string | null

Path Parameters

product_key
string
required

Cookies

stytch_session
string | null

Body

application/json

Apply properties to every variant in variant_keys.

properties
Properties · object
required

Property key -> new value. Applied to all listed variants.

variant_keys
string[]
required
Required array length: 1 - 1000 elements

Response

Successful Response

matched
integer
required
modified
integer
required